Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.util
Class BeanConfigurator

    java.lang.Object
      org.jboss.soa.esb.util.BeanConfigurator

Direct Known Subclasses:
  ActionBeanConfigurator

    public class BeanConfigurator

extends java.lang.Object

The BeanConfigurator knows how to map a ConfigTree to JavaBean properties.

Author:
  Rex Sheridan

Constructor Summary
`BeanConfigurator()`
`BeanConfigurator(ConfigTree config, java.lang.Object bean)`
`BeanConfigurator(java.util.Map<java.lang.String,java.lang.String> properties, java.lang.Object bean)`

Method Summary
`void` | `configure()`
`java.lang.Object` | `getBean()`
`java.util.Map<java.lang.String,java.lang.String>` | `getProperties()`
`protected java.beans.PropertyDescriptor` | `getPropertyDescriptor(java.lang.String name)`
`void` | `setBean(java.lang.Object bean)`
`void` | `setProperties(java.util.Map<java.lang.String,java.lang.String> properties)`
`protected void` | `setProperty(java.beans.PropertyDescriptor descriptor, java.lang.String name, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanConfigurator

    public BeanConfigurator()

### BeanConfigurator

    public BeanConfigurator(ConfigTree config,
                            java.lang.Object bean)

### BeanConfigurator

    public BeanConfigurator(java.util.Map<java.lang.String,java.lang.String> properties,
                            java.lang.Object bean)

Method Detail

### configure

    public void configure()
                   throws java.beans.IntrospectionException

  Throws:
    `java.beans.IntrospectionException`

### setProperty

    protected void setProperty(java.beans.PropertyDescriptor descriptor,
                               java.lang.String name,
                               java.lang.String value)

### getPropertyDescriptor

    protected java.beans.PropertyDescriptor getPropertyDescriptor(java.lang.String name)

### getBean

    public java.lang.Object getBean()

  Returns:
    the bean

### setBean

    public void setBean(java.lang.Object bean)

  Parameters:
    `bean` - the bean to set

### getProperties

    public java.util.Map<java.lang.String,java.lang.String> getProperties()

  Returns:
    the properties

### setProperties

    public void setProperties(java.util.Map<java.lang.String,java.lang.String> properties)

  Parameters:
    `properties` - the properties to set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD